Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.util
Class CountryRegionEnumerator.Region

    java.lang.Object
      |
      +--com.compoze.util.CountryRegionEnumerator.Region

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  CountryRegionEnumerator

public class CountryRegionEnumerator.Region
extends java.lang.Object
implements java.lang.Comparable

This class represents a region.

Constructor Summary
`CountryRegionEnumerator.Region(java.lang.String sFullName, java.lang.String sAbbreviatedName)` Constructor.

Method Summary
`int` | `compareTo(java.lang.Object o1)` Compare this country to the given one.
`java.lang.String` | `getAbbreviatedName()` Get the standard abbreviation of the region.
`java.lang.String` | `getFullName()` Get the full name of the region.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CountryRegionEnumerator.Region

    public CountryRegionEnumerator.Region(java.lang.String sFullName,
                                          java.lang.String sAbbreviatedName)

  Constructor.

Method Detail

### getFullName

    public java.lang.String getFullName()

  Get the full name of the region.
  Returns:
    the full name of the region

### getAbbreviatedName

    public java.lang.String getAbbreviatedName()

  Get the standard abbreviation of the region.
  Returns:
    the abbreviated name of the region

### compareTo

    public int compareTo(java.lang.Object o1)

  Compare this country to the given one.
  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `int` - the object to compare to (most be a Region)
  Returns:
    less than 0, 0 or greater than zero
  See Also:
    `Comparable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.